Bug 219023 - Drag and drop of files from Thunar doesn't work.
Summary: Drag and drop of files from Thunar doesn't work.
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: 2.3.2
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-17 07:59 UTC by RProgrammer
Modified: 2011-08-25 13:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description RProgrammer 2009-12-17 07:59:59 UTC
Version:           2.3.2 (using KDE 4.3.2)
OS:                Linux
Installed from:    Ubuntu Packages

Dragging and dropping files from Dolphin into Konsole causes the pathnames to be escaped and pasted.
If the same files are dragged from Thunar, the drop is rejected.
Thunar DnD works with other Non-KDE applications (eg, Firefox, jEdit, ...), but not Konsole (and probably other KDE apps, though I haven't tried)
Comment 1 Jekyll Wu 2011-07-31 18:23:24 UTC
From my experience, d&d from thunar works with dolphin, konqueror and kate, but does not work with konsole.
Comment 2 Kurt Hindenburg 2011-08-04 13:35:42 UTC
Git commit 51575d6f5294125505a9983e56878d008c07630e by Kurt Hindenburg.
Committed on 04/08/2011 at 15:25.
Pushed by hindenburg into branch 'master'.

Accept drag and drop event from non-KDE Filemanagers

Thunar uses 'text/uri-list' in its mimetype, but konsole only accept
d&d events whose mimetype contains 'text/plain'.

Patch by Jekyll Wu <adaptee@gmail.com>
BUG: 219023
FIXED-IN: 4.8
REVIEW: 102176

M  +10   -2    src/TerminalDisplay.cpp

http://commits.kde.org/konsole/51575d6f5294125505a9983e56878d008c07630e
Comment 3 Kurt Hindenburg 2011-08-25 13:27:53 UTC
Git commit 7ad880aad29694e7f69c8e868155c3d92f89bf49 by Kurt Hindenburg.
Committed on 04/08/2011 at 15:25.
Pushed by hindenburg into branch 'KDE/4.7'.

Accept drag and drop event from non-KDE Filemanagers

Thunar uses 'text/uri-list' in its mimetype, but konsole only accept
d&d events whose mimetype contains 'text/plain'.

Patch by Jekyll Wu <adaptee@gmail.com>
BUG: 219023
FIXED-IN: 4.8
REVIEW: 102176
(cherry picked from commit 51575d6f5294125505a9983e56878d008c07630e)

M  +10   -2    src/TerminalDisplay.cpp

http://commits.kde.org/konsole/7ad880aad29694e7f69c8e868155c3d92f89bf49